package com.example.rehabilitation.db

import android.content.Context
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper
//Для создания баз и таблиц к ним, а также обновления ее
class MyDbHelper(context: Context) : SQLiteOpenHelper(context,MyDbNameClass.DATABASE_NAME,null,MyDbNameClass.DATABASE_VERSION) {
    //(context: Context)  - контекст для открвтия базы данных//SQLiteOpenHelper - интерфейс даюший доступ к базе данных которые имеее внутреннние функции
    override fun onCreate(db: SQLiteDatabase?) {//Добавление таблицы в базу
        db?.execSQL(MyDbNameClass.CREATE_TABLE)//Создание базы по заготовке
    }

    override fun onUpgrade(db: SQLiteDatabase?, p1: Int, p2: Int) {//Обновление базы или версии
        db?.execSQL(MyDbNameClass.SQL_DELETE_TABLE)//Удаление
        onCreate(db)//Создание новой версии
    }
}










































